protolabs42

Update a memory

Partially update a memory. Only provided fields are changed. If content changes, re-embedding is triggered.

PATCH
/memory/{id}

Partially update a memory. Only provided fields are changed. If content changes, re-embedding is triggered.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Path Parameters

id*string

Memory ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://chorus.runclaw.run/memory/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "string",
    "content": "string",
    "memory_type": "string",
    "owner": "string",
    "namespace": "string",
    "entity": "string",
    "category": "string",
    "tags": [],
    "confidence": 1,
    "source": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "source_org": "string",
    "source_claw": "string",
    "deleted_at": "string",
    "expires_at": "string",
    "created_at": "string",
    "updated_at": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}